Find the answer to your Linux question:
Results 1 to 4 of 4
hi, for some reason i can't rebuild my kernel with the agpgart module. when i "make menuconfig" this is what i see: Code: Device Drivers ---> Character Devices ---> --- ...
Enjoy an ad free experience by logging in. Not a member yet? Register.
  1. #1
    Linux Newbie jpalfree's Avatar
    Join Date
    Jul 2005
    Location
    Montreal, CA
    Posts
    198

    Can't build agpgart module... why?


    hi,
    for some reason i can't rebuild my kernel with the agpgart module. when i "make menuconfig" this is what i see:
    Code:
    Device Drivers --->
     Character Devices ---> 
      --- /dev/agpgart (AGP Support)  
        [ ] Direct Rendering Manager (XFree86 4.1.0 and higher DRI support)
    when i try to select the "---" nothing changes.

    is it prevented for amd64 arch? there some kind of kernel patch i need to apply? if so, where do i get it?
    Avatar from xkcd.com, a hilarious computer related webcomic.

  2. #2
    Linux Engineer
    Join Date
    Mar 2005
    Posts
    1,431
    --- iirc means you can't deselect it because some other module which is built into the kernel depends on it.

  3. #3
    Linux Guru loft306's Avatar
    Join Date
    Oct 2003
    Location
    The DairyLand
    Posts
    1,666
    that means that it is already in the kernel and as the one b4 me has said that prevents it from being removed from the kernel
    ~Mike ~~~ Forum Rules
    Testing? What's that? If it compiles, it is good, if it boots up, it is perfect. ~ Linus Torvalds
    http://loft306.org

  4. #4
    Linux Newbie jpalfree's Avatar
    Join Date
    Jul 2005
    Location
    Montreal, CA
    Posts
    198
    yes, excellent, thanks. that makes sense now.
    Avatar from xkcd.com, a hilarious computer related webcomic.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •